#!/bin/bash

if [ "$1" != "-auto=true" ]
then
    file_cash="/linuxcash/cash/data/artix-custom/artix43-slackware/cash.reg"
    if [ -f "$file_cash" ]
    then
        tmp='/tmp/temp.txt'
        /linuxcash/cash/tools/tools_avail/cashre --print $file_cash > $tmp
        
        cashcode=`grep cashcode $tmp`
        cashcode=`echo $cashcode | grep -o '[0-9].*'`
        checknum=`grep checknum $tmp`
        checknum=`echo $checknum | grep -o '[0-9].*'`
        shift=`grep '\bshift\b' $tmp`
        shift=`echo $shift | grep -o '[0-9].*'`
        
        echo "{ \"cashCode\" : \"$cashcode\", \"checkNumber\" : $checknum, \"shiftBeg\" : \"\", \"shiftNumber\" : $shift, \"shopCode\" : \"\" }" > /tmp/cash.reg 
        sudo cp /tmp/cash.reg /linuxcash/cash/data/
        
        rm $tmp /tmp/cash.reg
    else
        file_cash="/linuxcash/cash/data/cash.reg"
        tmp_file_cash="/tmp/cashreg_editor_cash.reg"
        if [ -f $file_cash ];
        then
            cp $file_cash $tmp_file_cash
        fi
        /linuxcash/cash/tools/tools_avail/py_tools/cashreg_editor/cashreg_editor.py $tmp_file_cash True
        if [ -f $tmp_file_cash ];
        then
            sudo mv $tmp_file_cash $file_cash
        fi
    fi
fi

#записываем в файл, что скрипт отработал
/linuxcash/cash/tools/tools_avail/save_executed.py cashreg_editor
