#!/usr/bin/env python3

import os
import sys
sys.path.append("/linuxcash/cash/tools/tools_avail")
from py_tools.cashreg_editor import cashreg_editor

def main():
    cashreg_filename = "/linuxcash/cash/data/cash.reg"
    cashreg_object = {
        'cashCode': "1",
        'checkNumber': 0,
        'shiftBeg': "",
        'shiftNumber': 1,
        'shopCode': "1"
    }
    json_object = cashreg_editor.load_json(cashreg_filename)
    if json_object:
        cashreg_object = cashreg_editor.create_object_from_json(cashreg_object, json_object)
        cashreg_editor.generate_hostname(cashreg_object)
    else:
        sys.exit(1)

if __name__ == "__main__":
    os.chdir(os.path.dirname(os.path.abspath(__file__)))
    main()