#!/bin/bash

if [ "$1" != "-auto=true" ]
then
    CUSTOM_DIR=/linuxcash/cash/data/artix-custom/artix43-slackware/vpn
    VPN_DIR=/etc/openvpn
    CTR_FILE='client?*.crt'
    KEY_FILE='client?*.key'

    if [ -d $VPN_DIR -a -d $CUSTOM_DIR ] ; then
        find $CUSTOM_DIR -name $CTR_FILE -type f -exec sudo cp -f '{}' $VPN_DIR \;
        ( cd $VPN_DIR ; find ./ -name $CTR_FILE -type f -exec sudo ln -fs '{}' client.crt \; )

        find $CUSTOM_DIR -name $KEY_FILE -type f -exec sudo cp -f '{}' $VPN_DIR \;
        ( cd $VPN_DIR ; find ./ -name $KEY_FILE -type f -exec sudo ln -fs '{}' client.key \; )
    fi
fi

#записываем в файл, что скрипт отработал
/linuxcash/cash/tools/tools_avail/save_executed.py vpn_restore
