#!/usr/bin/python3

import subprocess
import parse_menu_item

def getSize(param):
    process = subprocess.Popen(["tput", param], stdout=subprocess.PIPE)
    (stdout, stderr) = process.communicate()
    return int(stdout)

result = ''
maxWidth = 0
i = 0
for i, item in enumerate(parse_menu_item.listItems('menu')):
    result += ' "%s" "%s" ' % (i + 1, item.label)
    maxWidth = max(maxWidth, len(item.label))

height = min(getSize("lines"), i + 8)
width = min(getSize("cols") - 10, maxWidth + 14)

print('--clear --title "Настройки" --menu  "Выберите действие:" %s %s %s ' % (str(height), str(width), str(height - 6)) + result)
